For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Site Enrollment

This api is used to create a site under an existing retailer

Introduction

Merchants (mid) in TxShield are treated as the parent node of a Tree. The layer underneath the Merchant is the Retailer (rid) and the lowest node is a Site (sid).

Merchant --> Retailer --> Site

A Site is the object that actions / transactions are done on, in the system.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
midintegerRequired

Merchant Id that related to retailer and retailer site

ridintegerRequired

Retailer Id that related to retailer site

Body
namestring · max: 50Required

Letters, numbers, spaces, dots, underscores and hyphens only, and must start and end with a letter or number. Leading/trailing whitespace is trimmed.

servicestring · enumOptional

Product the site is enrolled for. Must be enabled on the merchant, otherwise the request is rejected with 400.

Default: alertsPossible values:
reseller_idintegerOptional

Defaults to the merchant's assigned reseller, then the "Default" reseller

urlstringOptional

Defaults to http://example.com when omitted

remarksstringOptional

Defaults to "Created by {user} via API" when omitted

descriptionstringOptional
currencystringOptional

Defaults to the resolved reseller's currency when omitted

support_groupintegerOptional

Defaults to the "Default Support Group". See /api/v3/datasource/supportgroup

cat_idintegerOptional

Defaults to the "Non Payment" category. See /api/v3/datasource/sitecategory

Responses
200

Successfully create site

application/json
statusstringOptional
msgstringOptional
sidintegerOptional
rcodestringOptional
post/site/mid/{mid}/rid/{rid}/create
POST /api/v3/site/mid/{mid}/rid/{rid}/create HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "name": "text",
  "service": "alerts",
  "reseller_id": 1,
  "url": "text",
  "remarks": "text",
  "description": "text",
  "currency": "text",
  "support_group": 1,
  "cat_id": 1
}
{
  "status": "text",
  "msg": "text",
  "sid": 1,
  "rcode": "text"
}

Last updated